//
//  HangmanModel.h
//  Hangman
//
//  Created by Rich on 1/26/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface HangmanModel : NSObject {
	NSString* mysteryWord;
	NSString* revealedWord;
	int badGuesses;
	int maxGuesses;
	BOOL won;
	BOOL lost;
}

@property (assign) int badGuesses;
@property (assign, readonly) int maxGuesses;

@property (copy, readonly) NSString *revealedWord;
@property BOOL won;
@property BOOL lost;

- (NSString *)guessLetter:(NSString *)letter;
- (NSString *)newGame;

- (NSString *)giveUp;

@end
